Gecode::Iter::Ranges::SubRange< I > Class Template Reference
Common functionality » Range and value iterators » Range iterators

Range iterator for subtracting a single range from a range iterator. More...

`#include <ranges-add.hpp>`

## Constructors and initialization

| SubRange (void)
| Default constructor.
| SubRange (I &i, int min, int max)
| Initialize with ranges i and range min to max.
void | init (I &i, int min, int max)
| Initialize with ranges i and range min to max.

## Additional Inherited Members

| AddRange (void)
| Default constructor.
| AddRange (I &i, int min, int max)
| Initialize with ranges i and range min to max.
void | init (I &i, int min, int max)
| Initialize with ranges i and range min to max.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops
Protected Attributes inherited from Gecode::Iter::Ranges::AddRange< I >
I | i
| Iterator to which the range is to be added.
int | r_min
| Minimum of range to be added.
int | r_max
| Maximum of range to be added.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Detailed Description

template<class I>
class Gecode::Iter::Ranges::SubRange< I >

Range iterator for subtracting a single range from a range iterator.

Definition at line 75 of file ranges-add.hpp.

## Constructor & Destructor Documentation

## SubRange() [1/2]

template<class I>

Gecode::Iter::Ranges::SubRange< I >::SubRange | ( | void |  | ) |

inline

Default constructor.

Definition at line 124 of file ranges-add.hpp.

## SubRange() [2/2]

template<class I>

Gecode::Iter::Ranges::SubRange< I >::SubRange | ( | I & | i,
|  | int | min,
|  | int | max )

inline

Initialize with ranges i and range min to max.

Definition at line 128 of file ranges-add.hpp.

## Member Function Documentation

## init()

template<class I>

void Gecode::Iter::Ranges::SubRange< I >::init | ( | I & | i,
|  | int | min,
|  | int | max )

inline

Initialize with ranges i and range min to max.

Definition at line 133 of file ranges-add.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-add.hpp